package tetrisbean;

/**
 * This interface allows an object to listen for
 * BoardEvent's which are generated by a TetrisGame
 * everytime something on the board changes.
 *
 * IBM DeveloperWorks
 * Scott Clee (Scott_Clee@uk.ibm.com)
 * Software Engineer, IBM
 * March 2002
 * Updated April 11, 2002
 * 
 * @author Scott Clee
 */
public interface BoardListener
{
    /**
     * This method is invoked everytime something on 
     * board changes in a TetrisGame.
     * 
     * @param event a BoardEvent.
     */
    public void boardChange(BoardEvent event);
}
