package tetrisbean;

import java.awt.*;

/**
 * The GameEvent class.
 *
 * IBM DeveloperWorks
 * Scott Clee (Scott_Clee@uk.ibm.com)
 * Software Engineer, IBM
 * March 2002
 * Updated April 11, 2002
 * 
 * @author Scott Clee
 */
public class GameEvent extends Event
{
    public static final int START = 0;
    public static final int END   = 1;

    private int fType;

    /**
     * Create a GameEvent.
     * 
     * @param type   The type of event. Either START or END.
     * @param source The source of the Event.
     */
    public GameEvent(int type)
    {
        super(null, 0, null);
        fType   = type;
    }

    /**
     * Returns the type of the event.
     * 
     * @return The type of the event.
     */
    public int getType()
    {
        return fType;
    }
}
