package tetrisbean;

/**
 * This interface allows an object to listen for
 * GameEvent's which are generated by a TetrisGame
 * everytime a game is started or stopped.
 *
 * IBM DeveloperWorks
 * Scott Clee (Scott_Clee@uk.ibm.com)
 * Software Engineer, IBM
 * March 2002
 * Updated April 11, 2002
 * 
 * @author Scott Clee
 */
public interface GameListener
{
    /**
     * This method is invoked everytime a TetrisGame
     * is started or stopped.
     * 
     * @param event a GameEvent
     */
    public void gameChange(GameEvent event);
}
