package tetrisbean;

import java.awt.*;

/**
 * The ScoreEvent class.
 *
 * IBM DeveloperWorks
 * Scott Clee (Scott_Clee@uk.ibm.com)
 * Software Engineer, IBM
 * March 2002
 * Updated April 11, 2002
 * 
 * @author Scott Clee
 */
public class ScoreEvent extends Event
{
    private int fScore;

    /**
     * Create a ScoreEvent.
     * 
     * @param score  The new score.
     */
    public ScoreEvent(int score)
    {
        super(null, 0, null);
        fScore = score;
    }

    /**
     * Returns the new score.
     * 
     * @return The new score.
     */
    public int getScore()
    {
        return fScore;
    }
}
