package tetrisbean;

/**
 * This interface allows an object to listen for
 * ScoreEvent's which are generated by a TetrisGame
 * everytime its score value changes.
 *
 * IBM DeveloperWorks
 * Scott Clee (Scott_Clee@uk.ibm.com)
 * Software Engineer, IBM
 * March 2002
 * Updated April 11, 2002
 * 
 * @author Scott Clee
 */
public interface ScoreListener
{
    /**
     * This method is invoked everytime a the score
     * changes in a TetrisGame.
     * 
     * @param event a ScoreEvent
     */
    public void scoreChange(ScoreEvent event);
}
